Create contact
/api/addressbooks/{code}/{addressbook_id}/contactsCreates a new contact in an addressbook.
Authorization
api_key API token used to authenticate requests.
In: header
Path Parameters
Email account code: usually EA followed by 8 digits. Postmaster accounts use P followed by 9 digits. Examples: EA12345678, P123456789.
int32Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Contact given name.
Contact surname.
Contact full name.
Contact title.
Contact nickname.
Contact company name.
Contact phone numbers.
Phone number value.
Phone number type.
work= work contact field.home= home or personal contact field.cell= mobile phone number.home fax= home fax number.work fax= work fax number.
homeValues work | home | cell | home fax | work faxContact email addresses.
Email address value.
Email address type.
work= work contact field.home= home or personal contact field.
homeValues work | homeContact URLs.
URL value.
URL type.
work= work contact field.home= home or personal contact field.
homeValues work | homeContact postal addresses.
Street address.
City.
Postal code.
Region/state.
Country.
Address type.
work= work contact field.home= home or personal contact field.
homeValues work | homeContact notes. Use escaped line breaks (\n) for newlines.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/addressbooks/string/0/contacts" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{}'{ "message": "string", "resource_code": "string"}